Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#4021 - ppp: uses weird defaults for "keepalive", inconsistent with luci #9011

Closed
openwrt-bot opened this issue Sep 9, 2021 · 1 comment
Labels
core packages flyspray release/19.07

Comments

@openwrt-bot
Copy link

openwrt-bot commented Sep 9, 2021

alxwk:

By default, luci PPPoE (and probably other PPP-based) interface page doesn't set any value for network.<iface>.keepalive, so in the absence of that /lib/netifd/proto/ppp.sh
sets values lcp-echo-interval=1 and lcp-echo-failure=5. First, every 1 second is too frequent (which can lead to connectivity issues, as said in FS#2819), next, they don't correspond to the defaults displayed in luci (0 for "LCP echo failure threshold" and 5 for "LCP echo interval"), and worse of all, they are impossible to be disabled by using luci, as any attempt to set "LCP echo failure threshold" to 0 makes luci to just delete network..keepalive with the aforementioned consequences. The only workaround is to set "keepalive" through uci command line.

@aparcar aparcar added release/19.07 core packages labels Feb 22, 2022
@ynezz
Copy link
Member

ynezz commented May 24, 2022

OpenWrt 19.07 release is EOL, try to reproduce the issue with latest supported release and feel free to ask for issue reopening if the problem is still present, thanks.

@ynezz ynezz closed this as completed May 24, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
core packages flyspray release/19.07
Projects
None yet
Development

No branches or pull requests

3 participants